Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155692 - No line numbers in Java stack traces
Summary: No line numbers in Java stack traces
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Tromey
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 12:07 UTC by Robin Green
Modified: 2014-08-11 05:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:09:17 UTC


Attachments (Terms of Use)

Description Robin Green 2005-04-22 12:07:36 UTC
Description of problem:
Stack traces output by gij lack line numbers. However, some of the line numbers
are available, because some of them can be obtained in gdb.

Version-Release number of selected component (if applicable):
libgcj-4.0.0-0.42

Here is an example stack trace:
Caused by: java.lang.NullPointerException
   at .0x03e25e53 (Unknown Source)
   at .0x03e24bb8 (Unknown Source)
   at java.lang.VMClassLoader.resolveClass(java.lang.Class)
(/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.6.0.0)
   at
org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String,
boolean) (Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.defineClass(java.lang.ClassLoader,
java.lang.String, byte[], int, int, java.security.ProtectionDomain) (/usr/
lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.defineClass(java.lang.String, byte[], int, int,
java.security.ProtectionDomain) (/usr/lib/libgcj.so.6.0.0)
   at
org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.defineClass(java.lang.String,
byte[], int, int, org.eclipse.osg
i.framework.internal.defaultadaptor.DefaultClassLoader$ClasspathEntry) (Unknown
Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.core.runtime.adaptor.EclipseClassLoader.defineClass(java.lang.String,
byte[], int, int, org.eclipse.osgi.framework.intern
al.defaultadaptor.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.findClassImpl(java.lang.String,
org.eclipse.osgi.framework.inte
rnal.defaultadaptor.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.findClass(java.lang.String)
(Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.findLocalClass(java.lang.String)
(Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.core.runtime.adaptor.EclipseClassLoader.basicFindLocalClass(java.lang.String)
(Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(java.lang.String)
(Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(java.lang.String)
(Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String,
boolean) (Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String)
(Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String,
boolean) (Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader)
(/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.resolveClass(java.lang.Class)
(/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.6.0.0)
   at
org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String,
boolean) (Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.defineClass(java.lang.ClassLoader,
java.lang.String, byte[], int, int, java.security.ProtectionDomain) (/usr/
lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.defineClass(java.lang.String, byte[], int, int,
java.security.ProtectionDomain) (/usr/lib/libgcj.so.6.0.0)
   at
org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.defineClass(java.lang.String,
byte[], int, int, org.eclipse.osg
i.framework.internal.defaultadaptor.DefaultClassLoader$ClasspathEntry) (Unknown
Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.core.runtime.adaptor.EclipseClassLoader.defineClass(java.lang.String,
byte[], int, int, org.eclipse.osgi.framework.intern
al.defaultadaptor.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.findClassImpl(java.lang.String,
org.eclipse.osgi.framework.inte
rnal.defaultadaptor.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at .0x041b9b5c (Unknown Source)
   at
org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.findClass(java.lang.String)
(Unknown Source)
   ...1 more

Comment 1 Bryce McKinlay 2006-02-13 23:11:23 UTC
libgcj doesn't know about debuginfo RPMs. The stack trace code needs to learn to
look in /usr/lib/debug for the debug information. Perhaps this is really a bug
with /usr/bin/addr2line, which libgcj uses to obtain the line number information. 

It likely should be patched to look for .debug files when line info is not found
in the binary itself.


Comment 2 Christian Iseli 2007-01-20 01:00:28 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Robin Green 2007-01-20 09:50:13 UTC
This issue still exists in FC6.

Comment 4 Robin Green 2007-01-20 09:55:55 UTC
Trying again to reset the bug status

Comment 5 Andrew Overholt 2007-03-24 21:23:14 UTC
This still exists in rawhide FWIW.  Adding Tom to CC.

Comment 6 Bug Zapper 2008-04-03 16:06:41 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Bug Zapper 2008-05-07 00:09:15 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.